---
type: api
title: Update proxy settings
description: > WARNING
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-update-proxies-settings
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-update-proxies-settings
products:
  - Elastic Cloud Enterprise
---

# Update proxy settings

## Paths

- `PATCH` `/platform/infrastructure/proxies/settings`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

## Description

> WARNING
> This endpoint is deprecated and scheduled to be removed in the next major version.

Applies the settings as a patch. Only the fields that are referenced in the update are changed.

## Query String Parameters

- `version` (string)
  If specified, checks for conflicts against the version of the repository configuration (returned in 'x-cloud-resource-version' of the GET request)

## Request Body

`application/json`

A JSON to merge with the existing settings

Type: `string`


## Responses

#### `200`

Returns the updated settings

`application/json`

- `expected_proxies_count` (integer)
  Expected number of proxies
- `signature_secret` (string)
  Secret string for signature generation
- `signature_valid_for_millis` (integer)
  Signature validity in milliseconds
- `http_settings` ({} ProxiesHttpSettings)
  > WARNING
> This object is deprecated and scheduled to be removed in the next major version.
  - `disconnected_cutoff` (integer)
    Cutoff interval after disconnection in milliseconds
  - `minimum_proxy_services` (integer)
    Minimum number of proxy instances
  - `sso_settings` ({} ProxiesSSOSettings)
    > WARNING
> This object is deprecated and scheduled to be removed in the next major version.
    - `max_age` (integer)
      Maximum age of single-sign-on token in milliseconds
    - `sso_secret` (string)
      Secret string for single-sign-on
    - `cookie_name` (string)
      Name of the HTTP cookie used for single-sign-on
    - `dont_log_requests` (boolean)
      If true, don't log requests
    - `default_redirect_path` (string)
      Default path where users are redirected after a successful single-sign-on
    - `maintenance_bypass_cookie_name` (string)
      Name of the cookie that bypasses maintenance
  - `dashboards_base_url` (string)
    Base URL for the dashboard
  - `cookie_secret` (string)
    Secret string for the HTTP cookie
  - `user_cookie_key` (string)
    User key for the HTTP cookie
#### `409`

There is a version conflict. (code: `proxies.version_conflict`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
PATCH /platform/infrastructure/proxies/settings
```

#### curl

```curl
curl -X PATCH "/platform/infrastructure/proxies/settings"
```

